import type { StateMachines } from './types/StateMachine';
export declare type StepFunctionSimulatorServerOptions = {
    port: number;
    stateMachines: StateMachines;
};
export declare class StepFunctionSimulatorServer {
    private express;
    private httpTerminator?;
    private options;
    private readonly logger;
    constructor(options: StepFunctionSimulatorServerOptions);
    initServer(): Promise<void>;
    shutdown(): Promise<void>;
    private setupMiddlewares;
    private resolveStateMachine;
}
